segfault during execution of post-inst script

Bug #772449 reported by Álvaro M. Recio on 2011-04-28
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
nspluginwrapper (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: update-manager

During upgrade to Natty, after updates were installed, a dialog informed me that the upgrade has been cancelled (it's in Spanish, so I don't know the exact wording in English). As suggested, I'm reporting the bug and attaching all relevant files.

Álvaro M. Recio (naproxeno) wrote :
Álvaro M. Recio (naproxeno) wrote :
Álvaro M. Recio (naproxeno) wrote :
Álvaro M. Recio (naproxeno) wrote :
Álvaro M. Recio (naproxeno) wrote :
Álvaro M. Recio (naproxeno) wrote :
Álvaro M. Recio (naproxeno) wrote :
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

The error is
Configurando nspluginwrapper (1.2.2-0ubuntu9) ...
plugin dirs:
Auto-update plugins from /usr/lib/mozilla/plugins
Looking for plugins in /usr/lib/mozilla/plugins
Auto-update plugins from /usr/lib64/mozilla/plugins
Looking for plugins in /usr/lib64/mozilla/plugins
Segmentation fault
dpkg: error al procesar nspluginwrapper (--configure):
 el subproceso instalado el script post-installation devolvió el código de salida de error 139

There is a segfault in a program called from nspluginwrapper postinst script. Affecting to nspluginwrapper.

affects: update-manager (Ubuntu) → nspluginwrapper (Ubuntu)
Changed in nspluginwrapper (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
summary: - E:Sub-process /usr/bin/dpkg returned an error code (1)
+ segfault during execution of post-inst script
Florian Kaiser (fmkaiser) wrote :

I had the same problem during my upgrade to Natty.
At least in my case, the cause of the problem seems to be google-talkplugin (x86_64).
Temporarily removing it while performing the upgrade circumvented the problem.

The nspluginwrapper postinst script runs "nspluginwrapper -a -v -u", which (in my case) segfaults while executing something in libnpgoogletalk64.so (see attached backtrace).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers